Get Action Metadata
curl --request POST \
--url https://developer.world.org/api/v1/precheck/{app_id} \
--header 'Content-Type: application/json' \
--data '
{
"action": "my_custom_action",
"nullifier_hash": "0x2bf8406809dcefb1486dadc96c0a897db9bab002053054cf64272db512c6fbd8",
"external_nullifier": "0x00949dd9a8c5b600304d010ce3a3cf012352070ae4b77504e17af77ee894cda"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'my_custom_action',
nullifier_hash: '0x2bf8406809dcefb1486dadc96c0a897db9bab002053054cf64272db512c6fbd8',
external_nullifier: '0x00949dd9a8c5b600304d010ce3a3cf012352070ae4b77504e17af77ee894cda'
})
};
fetch('https://developer.world.org/api/v1/precheck/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "app_staging_4cfd049031b0da1e8b62084b09a9f430",
"is_staging": true,
"is_verified": false,
"name": "Default App",
"verified_app_logo": "",
"engine": "cloud",
"__typename": "app",
"sign_in_with_world_id": true,
"can_user_verify": "yes",
"action": {
"external_nullifier": "0x00949dd9a8c5b600304d010ce3a3cf012352070ae4b77504e17af77ee894cda",
"name": "My action",
"action": "my_custom_action",
"description": "My action",
"max_verifications": 0,
"max_accounts_per_user": 1,
"__typename": "action"
}
}{
"code": "required",
"detail": "No action found for this app.",
"attribute": "action"
}{
"code": "not_found",
"detail": "We couldn't find an app with this ID. Action may be inactive.",
"attribute": null
}Developer Portal
Get Action Metadata
Fetch information about a particular app/action to determine eligibility for verification.
POST
/
api
/
v1
/
precheck
/
{app_id}
Get Action Metadata
curl --request POST \
--url https://developer.world.org/api/v1/precheck/{app_id} \
--header 'Content-Type: application/json' \
--data '
{
"action": "my_custom_action",
"nullifier_hash": "0x2bf8406809dcefb1486dadc96c0a897db9bab002053054cf64272db512c6fbd8",
"external_nullifier": "0x00949dd9a8c5b600304d010ce3a3cf012352070ae4b77504e17af77ee894cda"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'my_custom_action',
nullifier_hash: '0x2bf8406809dcefb1486dadc96c0a897db9bab002053054cf64272db512c6fbd8',
external_nullifier: '0x00949dd9a8c5b600304d010ce3a3cf012352070ae4b77504e17af77ee894cda'
})
};
fetch('https://developer.world.org/api/v1/precheck/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "app_staging_4cfd049031b0da1e8b62084b09a9f430",
"is_staging": true,
"is_verified": false,
"name": "Default App",
"verified_app_logo": "",
"engine": "cloud",
"__typename": "app",
"sign_in_with_world_id": true,
"can_user_verify": "yes",
"action": {
"external_nullifier": "0x00949dd9a8c5b600304d010ce3a3cf012352070ae4b77504e17af77ee894cda",
"name": "My action",
"action": "my_custom_action",
"description": "My action",
"max_verifications": 0,
"max_accounts_per_user": 1,
"__typename": "action"
}
}{
"code": "required",
"detail": "No action found for this app.",
"attribute": "action"
}{
"code": "not_found",
"detail": "We couldn't find an app with this ID. Action may be inactive.",
"attribute": null
}Path Parameters
Your app ID from the Developer Portal
Body
application/json
Response
OK. The app_id in the example is illustrative; a nonexistent or inactive app_id returns 404.
The response is of type object.
Was this page helpful?